package com.jh.boot.email;

import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.jh.boot.jpa.AbstractIdEntity;


/**
 * The Class Email.
 */
@Entity
@Table(name = "EMAIL")
public class Email extends AbstractIdEntity {

	/** The locked. */
	@Column(name = "LOCKED")
	private Boolean locked;
	
	/** The email from. */
	@Column(name = "EMAIL_FROM")
	private String emailFrom;
	
	/** The recipients. */
	@OneToMany(mappedBy = "email", cascade = CascadeType.ALL)
	private Set<EmailRecipient> recipients;
	
	/** The subject. */
	@Column(name = "SUBJECT")
	private String subject;
	
	/** The text. */
	@Column(name = "TEXT_CONTENT")
	private String text;
	
	/** The html. */
	@Column(name = "HTML_CONTENT")
	private String html;
	
	/** The to be sent. */
	@Column(name = "TO_BE_SENT")
	private Boolean toBeSent;
	
	/** The status. */
	@Column(name = "STATUS")
	private String status;
	
	/** The error. */
	@Column(name = "ERROR")
	private String error;
	
	/** The receipt. */
	@Column(name = "RECEIPT")
	private Boolean receipt;
	
	/** The attachments. */
	@OneToMany(mappedBy = "email", cascade = CascadeType.ALL)
	private Set<EmailAttachment> attachments;

	/**
	 * Gets the locked.
	 *
	 * @return the locked
	 */
	public Boolean getLocked() {
		return locked;
	}

	/**
	 * Sets the locked.
	 *
	 * @param locked the new locked
	 */
	public void setLocked(Boolean locked) {
		this.locked = locked;
	}

	/**
	 * Gets the from.
	 *
	 * @return the from
	 */
	public String getFrom() {
		return emailFrom;
	}

	/**
	 * Sets the from.
	 *
	 * @param from the new from
	 */
	public void setFrom(String from) {
		this.emailFrom = from;
	}

	/**
	 * Gets the recipients.
	 *
	 * @return the recipients
	 */
	public Set<EmailRecipient> getRecipients() {
		return recipients;
	}

	/**
	 * Sets the recipients.
	 *
	 * @param recipients the new recipients
	 */
	public void setRecipients(Set<EmailRecipient> recipients) {
		this.recipients = recipients;
	}

	/**
	 * Gets the subject.
	 *
	 * @return the subject
	 */
	public String getSubject() {
		return subject;
	}

	/**
	 * Sets the subject.
	 *
	 * @param subject the new subject
	 */
	public void setSubject(String subject) {
		this.subject = subject;
	}

	/**
	 * Gets the text.
	 *
	 * @return the text
	 */
	public String getText() {
		return text;
	}

	/**
	 * Sets the text.
	 *
	 * @param text the new text
	 */
	public void setText(String text) {
		this.text = text;
	}

	/**
	 * Gets the html.
	 *
	 * @return the html
	 */
	public String getHtml() {
		return html;
	}

	/**
	 * Sets the html.
	 *
	 * @param html the new html
	 */
	public void setHtml(String html) {
		this.html = html;
	}

	/**
	 * Gets the status.
	 *
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}

	/**
	 * Sets the status.
	 *
	 * @param status the new status
	 */
	public void setStatus(String status) {
		this.status = status;
	}

	/**
	 * Gets the attachments.
	 *
	 * @return the attachments
	 */
	public Set<EmailAttachment> getAttachments() {
		return attachments;
	}

	/**
	 * Sets the attachments.
	 *
	 * @param attachments the new attachments
	 */
	public void setAttachments(Set<EmailAttachment> attachments) {
		this.attachments = attachments;
	}

	/**
	 * Gets the to be sent.
	 *
	 * @return the to be sent
	 */
	public Boolean getToBeSent() {
		return toBeSent;
	}

	/**
	 * Sets the to be sent.
	 *
	 * @param toBeSent the new to be sent
	 */
	public void setToBeSent(Boolean toBeSent) {
		this.toBeSent = toBeSent;
	}

	/**
	 * Gets the email from.
	 *
	 * @return the email from
	 */
	public String getEmailFrom() {
		return emailFrom;
	}

	/**
	 * Sets the email from.
	 *
	 * @param emailFrom the new email from
	 */
	public void setEmailFrom(String emailFrom) {
		this.emailFrom = emailFrom;
	}

	/**
	 * Gets the error.
	 *
	 * @return the error
	 */
	public String getError() {
		return error;
	}

	/**
	 * Sets the error.
	 *
	 * @param error the new error
	 */
	public void setError(String error) {
		this.error = error;
	}

    /**
     * Gets the receipt.
     *
     * @return the receipt
     */
    public Boolean getReceipt() {
        return receipt;
    }

    /**
     * Sets the receipt.
     *
     * @param receipt the new receipt
     */
    public void setReceipt(Boolean receipt) {
        this.receipt = receipt;
    }

	
}
